Subject: Re: [PATCH] Avoid errors from git-rev-parse in gitweb blame

From: Lea Wiemann <[email-masked]>
Date: Sun, 08 Jun 2008 20:19:43 +0200

Lea Wiemann wrote:
> Blame first calculates the whole blame and then dumps it out in
> zero-time [so] there's no performance difference in getting all  blame
> output and then dumping it out vs. reading and outputting it line-by-line.

I haven't been following the recent discussion in detail, but here's 
another thought: If you want to look up the parents, it's usually faster 
(at least when caching is enabled) to get them all in a single call. 
IOW, don't look up the parent for each hash as it appears, but collect 
all hashes and then get a list of all parents with a single call.

-- Lea